Anonymous Login
2019-10-16 12:14 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001081v3.0 Release[All Projects] Generalpublic2013-08-28 11:19
ReporterKorkonius 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformWindows ServerOSWindows ServerOS Version2008
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001081: Additional backslashes in W2P_BASE_URL
DescriptionWhen the W2P_BASE_URL constant is created on using IIS parameters it seems that one additional backslash is inserted between after the server domain in the url.

Chrome seem to handle this fine, but on IE, FireFox and Opera this causes a small host of issues. I have so far encountered:
- No anti spam image on the create user page
- Annoying error popping up whenever a page is loaded in FireFox and Opera
- No JavaScript seem to load on the page, so tool-tips etc. does not work

I have attached issues at the bottom, and checked that no backslashes are set/visible in the IIS configuration.
Steps To ReproduceInstall w2p on an IIS server.
Set domain binding.
Visit w2p through domain address.
Get annoyed.
Additional InformationAdding "$baseUrl = stripslashes($baseUrl);" to line 52 of base.php is a temporary fix for this issue.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002538

caseydk (administrator)

Resolved: https://github.com/caseysoftware/web2project/pull/96
+Notes

-Issue History
Date Modified Username Field Change
2012-03-10 02:38 Korkonius New Issue
2012-03-10 02:38 Korkonius File Added: w2p_backslash_error2.png
2012-03-10 02:38 Korkonius File Added: w2p_backslash_error.png
2012-03-10 02:38 Korkonius File Added: w2p_backslash_error_ff.png
2012-05-27 21:06 caseydk Note Added: 0002538
2012-05-27 21:06 caseydk Status new => resolved
2012-05-27 21:06 caseydk Resolution open => fixed
2012-05-27 21:06 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:19 caseydk Status resolved => closed
+Issue History